/* blog Start */
.blog {
  width: 100%;
  padding: 0 10%;
  display: flex;
  flex-direction: column;
  row-gap: 20px;
  padding-bottom: 5%;
  background-image: url(/wp-content/uploads/2026/03/Plan-Journey-Bg.webp);
  background-position: bottom center;
  background-size: cover;
  background-repeat: no-repeat;
}

.blog h2 {
  font-size: var(--font-h1);
  font-family: var(--Red-Hat-Display);
  text-align: start;
  font-weight: 400;
  color: #4c2a4f;
  line-height: 1.2em;
}

.blog-slides h4 {
  color: #fff;
  font-family: var(--Neue-Montreal-Regular);
  font-size: 7.78px;
  font-weight: 400;
  padding: 5px 0px 10px 0;
}

 .blog_para{
  font-size: var(--font-body);
  line-height: 1.5em;
  font-family: var(--Neue-Montreal-Regular);
  width: 70%;
}
.blog_content_2 {
  display: flex;
/*   align-items: end; */
  gap: 20px;
  flex-grow: 1;
}
/* 2. Add this new rule to push the button wrapper to the bottom-right */
.blog_content_2 > div:last-child {
/*   display: flex; */
  align-self: end;
  margin-left: auto;
}

.blog-btn {
  background-color: #fff;
  color: #000;
  border-radius: 50px;
  padding: 5px;
  line-height: 0px;
  align-self: self-end;
}

.blog-slider {
  overflow: hidden;
  width: 100%;
  padding-bottom: 2%;
}

.blog-slider-track {
  display: flex;
  column-gap: 30px;
  width: 100%;
  overflow-x: auto;
  scroll-behavior: smooth;
  position: relative;
  padding: 2% 0% 0 0%;
}

.blog-slides {
  display: flex;
  flex-direction: column;
  row-gap: 16px;
  background: url(/wp-content/uploads/2026/03/blog.webp);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  padding: 2%;
  /* border-radius: 14px; */
  flex: 0 0 calc(80% / 3.17);
}

.blog-slider-track::-webkit-scrollbar {
  display: none;
}

.blog-scrollbar {
  width: 70%;
  margin: auto;
  height: 2px;
  background: #4b2c4d;
  position: relative;
  margin-top: 5%;
}

/* moving rectangle */
.blog-scroll-thumb {
  width: 60px;
  height: 7px;
  background: #4b2c4d;
  position: absolute;
  top: -3px;
  left: 0;
}

.blog-category {
  text-align: center;
  border-bottom: 1px solid #fff;
  /* width: max-content; */
  padding: 2% 0% 20% 0%;

  /* border-radius: 6px; */
  /* box-shadow: 0 8px 20px rgba(0,0,0,0.15); */
}

.blog-category img {
  border: 20px solid #d0d5ff;
  border-radius: 50px;
  position: relative;
}

.blog-category img::after{
  content: "";
  position: absolute;
  bottom: -35px;
  left: 50%;
  transform: translateX(-50%);

  width: 75%;
  height: 45px;

  background: rgba(0,0,0,0.35);
  border-radius: 50%;

  filter: blur(35px);
  opacity: 0.6;
}

.blog-slides .blog-category p {
  font-family: var(--Neue-Montreal-Regular);
  font-size: 12px;
  color: #4c2a4f;
  line-height: 1em;
}

.blog-slides h3 {
  font-family: var(--Red-Hat-Display);
  font-weight: 400;
  color: #fff;
  font-size: var(--font-body);
  line-height: 1.2em;
  padding: 5px 0px;
}

.blog-slides p {
  font-family: var(--Neue-Montreal-Regular);
  font-size: 16px;
  line-height: 1.2em;
  color: #fff;
}

/* blog End */

@media (max-width: 1024px) {
  /* blog Start */
  .blog {
    padding: 0 9%;
    padding-bottom: 10%;
  }

  .blog-slides {
    flex: 0 0 calc(80% / 3.15);
  }

  .blog-slides p {
    font-size: 12px;
  }

  .blog-slider-track {
    column-gap: 16px;
  }

  .blog-scroll-thumb {
    width: 50px;
  }
  /* blog End */
}

@media (max-width: 767px) {
  /* blog Start */
  .blog-slides {
    flex: 0 0 calc(100% / 1);
    padding: 4%;
  }
  .blog_para{
    width: 100%;
  }

  .blog-slides p {
    font-size: 12px;
  }

  .blog-scroll-thumb {
    width: 30px;
    height: 4px;
    top: -1.4px;
  }

  .blog-scrollbar {
    height: 1px;
    margin-top: 10%;
  }
  /* blog End */
}